<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.1 (2008/04/19)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Plugin ajoutemenu - Paramtrage d'un menu    
 * Jean-Michel MISRACHI
 * Web site = http://jmmis.free.fr/
 * e-mail   = jmmis@free.fr
 * version 4.6.14c
*/
header("Pragma: no-cache");
define("CHEMIN", "../../");
$lng      = strip_tags($lng);
$pg       = strip_tags($pg);
$plug     = strip_tags($plug);
$act      = strip_tags($act);
$num_mnu  = strip_tags($num_mnu);
$mnu_id   = strip_tags($mnu_id);
include CHEMIN.'plugins/ajoutemenu/lang/'.$lng.'-adm.inc';
include_once CHEMIN.'plugins/ajoutemenu/inc/data_func.inc';
include_once CHEMIN.'plugins/jmm/functions.php';

$special_mnu_id = $mnu_id;
$mnu_nextid = AM_GetNextID($num_mnu);
$prefix = "mnu_";

switch ($act) {
	case "" :
		if ($mnu_id == $mnu_nextid) {
			// Enregistrement d'un nouveau Menu de menu (new ou dup)
			AM_CreateMenu($mnu_id, $num_mnu, $prefix);
			
//modif redacteur
		    $mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
		    AM_CreateMenu($mnu_id, $num_mnu, $prefix);
            $mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur

			AM_ReadMenu($mnu_id, $num_mnu, $prefix);
			$act="mod";
			$mnu_action=$mnu_adm23.$mnu_id;
			$mnu_nextid = AM_IncrNextID($num_mnu);
		} else {
			// Enregistrement des modifs d'un Menu de menu existant
			AM_ModifyMenu($mnu_id, $num_mnu, $prefix);
			
//modif redacteur
		    $mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
		    AM_ModifyMenu($mnu_id, $num_mnu, $prefix);
            $mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur

			AM_ReadMenu($mnu_id, $num_mnu, $prefix);
			$mnu_action=$mnu_adm23.$mnu_id;
		}
//		header("location:admin.php?lng=".$lng."&pg=plugin&plug=ajoutemenu/inc/admin".$num_mnu);
		break;
	case "new" : // Creation d'un nouveau Menu de menu
		$mnu_id = $mnu_nextid;
		AM_NewMenu($mnu_id, $prefix);
//modif redacteur
		${$prefix."status"} = ($redacprefs['ractart'] != 'On') ? "i" : "a";
// fin modif redacteur
		$mnu_action=$mnu_adm24.$mnu_id;
		break;
	case "mod" : // modification d'un Menu de menu $mnu_id
		AM_ReadMenu($mnu_id, $num_mnu, $prefix);
//modif redacteur
		if ($redacprefs['ractart'] != 'On') {
			${$prefix."status"} = "i";
		}
// fin modif redacteur
		$mnu_action=$mnu_adm23.$mnu_id;
		break;
	/*case "dup" : // duplication d'un Menu de menu $mnu_id
		$mnu_action=$mnu_adm25.$mnu_id." - ".$mnu_adm24.$mnu_nextid;
		AM_ReadMenu($mnu_id, $num_mnu, $prefix);
		$mnu_id = $mnu_nextid;
		break;*/
}

$special_mnu_id = $mnu_id;
//$special_num_mnu= $num_mnu;
$topmess = $mnu_adm19;
include(CHEMIN."inc/hpage.inc");
//$num_mnu = $special_num_mnu;
$mnu_id = $special_mnu_id;
//include(CHEMIN."plugins/ajoutemenu/lang/".$lng."-adm.inc");

htable($mnu_adm19, "100%");

echo "<p align=\"center\">".$mnu_adm22."</p><hr>";
LiensBackLogout($mnu_adm26, "ajoutemenu/inc/admin", $mnu_adm32, "ajoutemenu/inc/admin".$num_mnu);
echo "<hr>";

echo "<p align=\"center\">";
echo "<a href='admin.php?lng=".$lng."&pg=plugin&plug=ajoutemenu/inc/param".$num_mnu."&act=new'>".$mnu_adm31."</a>";
echo "</p>";

FormBegin("param".$num_mnu, "ajoutemenu/inc/param".$num_mnu);
FormHidden("mnu_status", $mnu_status);
FormHidden("mnu_id", $mnu_id);
FormHidden("num_mnu", $num_mnu);
FormHidden("act", "");
//////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////MODIF/////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////
//Insertion fichier de langue
if(file_exists(CHEMIN.'plugins/adm_redacteurs/plugins/lang/'.$lng.'-adm_redacteurs_plugins'.INCEXT)) {
	include(CHEMIN.'plugins/adm_redacteurs/plugins/lang/'.$lng.'-adm_redacteurs_plugins'.INCEXT);
} else {
	include(CHEMIN.'plugins/adm_redacteurs/plugins/lang/en-adm_redacteurs_plugins'.INCEXT);
}
//echo '<fieldset style="margin:10px 0px; padding:10px"><legend>'.$mnu_action.'</legend>';
//FormTextBilingual($mnu_adm39, "mnu_categ1", $mnu_categ1, "mnu_categ2", $mnu_categ2, "", 60); 
//On rcupre les catgories de tous les articles crits dans la boite ajoutemenu
if (file_exists(CHEMIN."/data/plugins/ajoutemenu/menu".$num_mnu.DBEXT)) {
	$param = ReadDBFields(CHEMIN."/data/plugins/ajoutemenu/menu".$num_mnu.DBEXT);
	$namecatlng0 = array();
	$namecatlng1 = array();

	for ($i = 0; $i < count($param); $i++) {
		$namecatlng0[$param[$i][0]]= strtolower($param[$i][0]);
		$namecatlng1[$param[$i][1]]= strtolower($param[$i][1]);		
	}
	$namecatlng0 = array_unique($namecatlng0);
	$namecatlng1 = array_unique($namecatlng1);
	asort($namecatlng0);
	asort($namecatlng1);	
}
?>
<script type="text/javascript">
function addCat(nameform,nameinput,nameselect) {
	var error = 0;
	var message = (nameselect == 'mnu_categ1' || nameselect == 'mnu_categ2')? '<?php echo addslashes($redacajoutemenu6); ?>' : '<?php echo addslashes($redacajoutemenu7); ?>';				
	var nameaddcat = document.forms[nameform].elements[nameinput].value;
		nameaddcat = nameaddcat.replace(/"/g,"'");
 	var nameaddcatvalue = nameaddcat.replace(/\s/g,'');
 	if(nameaddcatvalue == '') {
	 	alert(message);
	} else {
	 	nameaddcatvalue = nameaddcat.replace(/<!--/g,'');
		nameaddcatvalue = nameaddcatvalue.replace(/-->/g,' ');
 		nameaddcatvalue = nameaddcatvalue.replace(/"/g,"'");
		new_option = new Option(nameaddcatvalue,nameaddcat,false,true);
		document.forms[nameform].elements[nameselect].options[document.forms[nameform].elements[nameselect].length] = new_option;
		document.forms[nameform].elements[nameinput].value =  '';
	}
}
</script>
<?php
echo '<div style="text-align:center;">';

echo '<fieldset style="width:90%;margin-right:auto;margin-left:auto;">';
echo '<legend>'.$redacajoutemenu0.'</legend>';
echo '<div style="text-align:center;"><img src="'.$flag1.'" alt="'.$lang[0].'" title="'.$lang[0].'" border="0" style="vertical-align:middle;" /></div>';
echo '<div style="text-align:center;">';
echo '<select name="mnu_categ1" size="5" style="width:375px;">';
echo '<option value=""'.($mnu_categ1 == '' ? ' selected="selected" ' : '' ).'>'.$redacajoutemenu1.'</option>';
foreach($namecatlng0 as $cle => $valeur) {
	if($cle != '' ) {
		$fielda = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $cle)));
		echo '<option value="'.$cle .'"'.($mnu_categ1 == $cle ? ' selected="selected" ' : '' ).'>'.$fielda.'</option>';
	}
}
echo '</select>';
echo '</div>';
echo '<div style="text-align:center;">';
echo '<input name="addvaluecat1" type="text" value="" /><input name="buttonaddcat1" type="button" value="'.$redacajoutemenu2.'" onclick="addCat(\'param'.$num_mnu.'\',\'addvaluecat1\',\'mnu_categ1\');" />';
echo '</div>';
if ($lang[1] != "") {
	echo '<div style="text-align:center;padding-top:10px;"><img src="'.$flag2.'" alt="'.$lang[1].'" title="'.$lang[1].'" border="0" style="vertical-align:middle;" /></div>';
	echo '<div style="text-align:center;">';
	echo '<select name="mnu_categ2" size="5" style="width:375px;">';
	echo '<option value=""'.($mnu_categ2 == '' ? ' selected="selected" ' : '' ).'>'.$redacajoutemenu1.'</option>';
	foreach($namecatlng1 as $cle => $valeur) {
		if($cle != '' ) {
			$fielda = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $cle)));
			echo '<option value="'.$cle .'"'.($mnu_categ2 == $cle ? ' selected="selected" ' : '' ).'>'.$fielda.'</option>';
		}
	}
	echo '</select>';
	echo '</div>';
	echo '<div style="text-align:center;">';
	echo '<input name="addvaluecat2" type="text" value="" /><input name="buttonaddcat2" type="button" value="'.$redacajoutemenu2.'" onclick="addCat(\'param'.$num_mnu.'\',\'addvaluecat2\',\'mnu_categ2\');" />';
	echo '</div>';
}
echo '</fieldset>';
echo '<p style="margin:3px;">&nbsp;</p>';
///////////////////////////////////////////////////////////////////
//FormTextBilingual($mnu_adm40, "mnu_titre1", $mnu_titre1, "mnu_titre2", $mnu_titre2, "", 60);
echo '<fieldset style="width:90%;margin-right:auto;margin-left:auto;">';
echo '<legend>'.$mnu_adm40.'</legend>';
echo '<div style="text-align:center;"><img src="'.$flag1.'" alt="'.$lang[0].'" title="'.$lang[0].'" border="0" style="vertical-align:middle;margin-right:5px;" /><input name="mnu_titre1" class="texte" style="vertical-align:middle;" type="text" size="50" value="'.$mnu_titre1.'" /></div>';
if ($lang[1] != "") {
	echo '<div style="text-align:center;padding-top:10px;"><img src="'.$flag2.'" alt="'.$lang[1].'" title="'.$lang[1].'" border="0" style="vertical-align:middle;margin-right:5px;" /><input name="mnu_titre2" class="texte" style="vertical-align:middle;" type="text" size="50" value="'.$mnu_titre2.'" /></div>';
}
echo '</fieldset>';
echo '<p style="margin:3px;">&nbsp;</p>';
////////////////////////////////////////////////////////////////////////
echo '<fieldset style="width:90%;margin-right:auto;margin-left:auto;">';
echo '<legend>'.$redacajoutemenu3.'</legend>';
//FormTextBilingual($mnu_adm41, "mnu_url1", $mnu_url1, "mnu_url2", $mnu_url2, "", 60);

//On rcupre les id de tous les articles crits par le rdacteur
$docidredac = REP_DOC."doc_".$redacprefs['rpseudo'].DBEXT; // on affecte le fichier doc du rdacteur
$article_rfile = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields($docidredac),TYP_ART),"d");
@rsort($article_rfile);

//On rcupre les documents sample crits par le rdacteur
$sample_rdoc = array();
if (file_exists(REP_DOC_PLUGIN."sample/liste_".$redacprefs['rpseudo'].DBEXT)) {
	$sample_liste_rfile = REP_DOC_PLUGIN."sample/liste_".$redacprefs['rpseudo'].DBEXT; 
    $sample_rfile = ReadDBFields($sample_liste_rfile);
}

$mnu_url1 = str_replace('&','&amp;',$mnu_url1);
//echo '<div style="text-align:center;padding-top:20px;padding-bottom:5px;">'.$redacajoutemenu3.'</div>';
echo '<div style="text-align:center;"><img src="'.$flag1.'" alt="'.$lang[0].'" title="'.$lang[0].'" border="0" /></div>';
echo '<div style="text-align:center;">';
echo '<select name="mnu_url1" size="15" style="width:375px;">';
echo '<option value=""'.($mnu_url1 == '' ? ' selected="selected" ' : '' ).'>'.$redacajoutemenu4.'</option>';
//Affichage article
for ($i = 0; $i < count($article_rfile); $i++) {
	ReadDoc(DBBASE.$article_rfile[$i][1]);
	if($fielda1 == '') {
		$fielda1 = 'Article';
		$fieldb1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldb1)));
//		$docArtURL = $site[3].'articles.php?lng='.$lang[0].'&amp;pg='.$article_rfile[$i][1];
		$docArtURL = 'articles.php?lng='.$lang[0].'&amp;pg='.$article_rfile[$i][1];
    	echo '<option value="'.$docArtURL.'"'.($mnu_url1 == $docArtURL ? ' selected="selected" ' : '' ).'>'.$article_rfile[$i][1].' : '.CutLongWord($fielda1,10).' - '.CutLongWord($fieldb1,10).'</option>';
	}
}
//Affichage doc sample
if(count($sample_rfile) != 0) {
	for ($i = 0; $i < count($sample_rfile); $i++) {
		$param = ReadDBFields(CHEMIN."/data/plugins/sample/param".$sample_rfile[$i][1].DBEXT);
        $sample_rdoc[0] = $sample_rfile[$i][1];
        $sample_rdoc[1] = "Sample";
        $sample_rdoc[2] = $param[0][1];
//		$sample_rdoc[3] = $site[3].'plugins/sample/sample.php?lng='.$lang[0].'&amp;id='.$sample_rfile[$i][1];
		$sample_rdoc[3] = 'plugins/sample/sample.php?lng='.$lang[0].'&amp;id='.$sample_rfile[$i][1];
    	echo '<option value="'.$sample_rdoc[3].'"'.($mnu_url1 == $sample_rdoc[3] ? ' selected="selected" ' : '' ).'>'.$sample_rdoc[0].' : '.$sample_rdoc[1].' - '.CutLongWord($sample_rdoc[2],10).'</option>';
	}
}
echo '</select>';
echo '</div>';

if ($lang[1] != "") {
	$mnu_url2 = str_replace('&','&amp;',$mnu_url2);
//	echo '<div style="text-align:center;padding-top:20px;padding-bottom:5px;">'.$redacajoutemenu3.'</div>';
	echo '<div style="text-align:center;"><img src="'.$flag2.'" alt="'.$lang[1].'" title="'.$lang[1].'" border="0" /></div>';
	echo '<div style="text-align:center;">';
	echo '<select name="mnu_url2" size="15" style="width:375px;">';
	echo '<option value=""'.($mnu_url2 == '' ? ' selected="selected" ' : '' ).'>'.$redacajoutemenu4.'</option>';
	//Affichage article
	for ($i = 0; $i < count($article_rfile); $i++) {
		ReadDoc(DBBASE.$article_rfile[$i][1]);
		if($fielda1 == '') {
			$fielda2 = 'Article';
			$fieldb2 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldb2)));
//			$docArtURL = $site[3].'articles.php?lng='.$lang[1].'&amp;pg='.$article_rfile[$i][1];
			$docArtURL = 'articles.php?lng='.$lang[1].'&amp;pg='.$article_rfile[$i][1];
    		echo '<option value="'.$docArtURL.'"'.(($mnu_url2 == $docArtURL)? ' selected="selected" ' : '' ).'>'.$article_rfile[$i][1].' : '.CutLongWord($fielda2,10).' - '.CutLongWord($fieldb2,10).'</option>';
		}
	}
	//Affichage doc sample
	if(count($sample_rfile) != 0) {
		for ($i = 0; $i < count($sample_rfile); $i++) {
			$param = ReadDBFields(CHEMIN."/data/plugins/sample/param".$sample_rfile[$i][1].DBEXT);
        	$sample_rdoc[0] = $sample_rfile[$i][1];
        	$sample_rdoc[1] = "Sample";
        	$sample_rdoc[2] = $param[1][1];
//			$sample_rdoc[3] = $site[3].'plugins/sample/sample.php?lng='.$lang[1].'&amp;id='.$sample_rfile[$i][1];
			$sample_rdoc[3] = 'plugins/sample/sample.php?lng='.$lang[1].'&amp;id='.$sample_rfile[$i][1];
    		echo '<option value="'.$sample_rdoc[3].'"'.($mnu_url2 == $sample_rdoc[3] ? ' selected="selected" ' : '' ).'>'.$sample_rdoc[0].' : '.$sample_rdoc[1].' - '.CutLongWord($sample_rdoc[2],10).'</option>';
		}
	}
	echo '</select>';
	echo '</div>';
}
echo '</fieldset>';
echo '<p style="margin:3px;">&nbsp;</p>';
////////////////////////////////////////////////////////////////////////
echo '<fieldset style="width:90%;margin-right:auto;margin-left:auto;">';
echo '<legend>Options</legend>';
//FormSelectBox($mnu_adm42, "mnu_win_blank", $mnu_win_blank, array(array("0", $mnu_adm43), array("1", $mnu_adm44)));
echo '<label style="float:left;text-align:right;padding-top:7px;width:50%;">'.$mnu_adm42.'&nbsp;:&nbsp;</label>';
echo '<div style="text-align:left;">';
echo '<select name="mnu_win_blank" size="1" style="margin-left:0px;vertical-align:middle;">';
$optionsOpenLink = array(array("0", $mnu_adm43), array("1", $mnu_adm44));
for($i=0; $i<count($optionsOpenLink); $i++) {
    echo "\n".'<option value="'.$optionsOpenLink[$i][0].'"'.($mnu_win_blank == $optionsOpenLink[$i][0] ? ' selected="selected" ' : '' ).'>'.$optionsOpenLink[$i][1].'</option>';
}
echo '</select>';
echo '</div>';
echo '<div style="clear:left;"></div>';
//rajoput 4.5.17
echo '<label style="float:left;text-align:right;padding-top:7px;width:50%;">'.$mnu_adm109.'&nbsp;:&nbsp;</label>';
echo '<div style="text-align:left;">';
echo '<select name="mnu_mode_news" size="1" style="margin-left:0px;vertical-align:middle;">';
$optionsModeNews = array(
    array("auto", $mnu_adm111),
    array("never", $mnu_adm112),
    array("now_new", $mnu_adm113),
    array("now_mod", $mnu_adm114),
    array("ever_new", $mnu_adm115),
    array("ever_mod", $mnu_adm116)
);
for($i=0; $i<count($optionsModeNews); $i++) {
    echo "\n".'<option value="'.$optionsModeNews[$i][0].'"'.($mnu_mode_news == $optionsModeNews[$i][0] ? ' selected="selected" ' : '' ).'>'.$optionsModeNews[$i][1].'</option>';
}
echo '</select>';
echo '</div>';
echo '<div style="clear:left;"></div>';
FormHidden("mnu_date", GetCurrentDateTime());
//fin rajout 4.5.17
echo '</fieldset>';

echo '</div>';

echo '<div style="padding:15px;">';
FormEnd();
echo '</div>';
//////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////FIN MODIF/////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////
echo "<hr />";
LiensBackLogout($mnu_adm26, "ajoutemenu/inc/admin", $mnu_adm32, "ajoutemenu/inc/admin".$num_mnu);
echo "<hr />";
VersionAuteurPlugin(AM_GetVersion(), $mnu_auteur1, 2.1);

btable();
include(CHEMIN."inc/bpage.inc");
?>
