<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.1 (2008/04/19)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Plugins Functions - GuppY PHP Script - version 4.5    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://www.freeguppy.org/
 * E-mail   = info@aldweb.com
 * version 4.6.x
 */
if (stristr($_SERVER["SCRIPT_NAME"], "funcplug.inc")) {
  header("location:../index.php");
  die();
}

function PluginRegistered($pluginame) {
  if (FileDBExist(DBPLUGIN)) {
    $DataDB = ReadDBFields(DBPLUGIN);
    for ($i = 0; $i < count($DataDB); $i++) {
      if ($DataDB[$i][0] == $pluginame) {
        return true;
      }
    }
  }
  return false;
}

function RegisterPlugin($pluginame) {
  $newplug[0] = $pluginame;
  AppendDBFields(DBPLUGIN,$newplug);
}

function UnregisterPlugin($pluginame) {
  $oldplug = ReadDBFields(DBPLUGIN);
  for ($i = 0 ; $i < count($oldplug); $i++) {
    if ($oldplug[$i][0] != $pluginame) {
      $newplug[] = $oldplug[$i];
    }
  }
  WriteDBFields(DBPLUGIN,$newplug);
}
?>
