<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.9.1 (2012/11/28)
 * Compatibility : Guppy v4.6.17+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Plugin OpenFiches original by OpenVideo
 * Plugin maintenu et dvelopp maintenant by linuxmr
 * Web site = http://www.les-rosiers.info/
 * version 6.0x
 */
if (stristr($_SERVER["SCRIPT_NAME"], "postfiche.inc")) {
  header("location:../index.php");
  die();
}
define("CHEMIN", "../../");
require CHEMIN.'plugins/adm_redacteurs/editors/editors_functions.php';  // Modif editeur
include(CHEMIN."inc/hpage.inc");
include(CHEMIN."plugins/openfiches/configuration/colorconfig.inc");
include(CHEMIN."plugins/openfiches/lang/".$lng."-ficheadmin.inc");
include(CHEMIN."plugins/openfiches/lang/".$lng."-ficheweb.inc");
include_once(CHEMIN."plugins/openfiches/inc/funcfiches.php");
include_once(CHEMIN."plugins/openfiches/inc/funcfichesgeneral.php");
///////////////////////////////////////////////////////////////////////
////////////////////////////MODIF LANGUE///////////////////////////////
///////////////////////////////////////////////////////////////////////
if(file_exists(CHEMIN.'plugins/adm_redacteurs/plugins/lang/'.$lng.'-adm_redacteurs_plugins'.INCEXT)) {
	include(CHEMIN.'plugins/adm_redacteurs/plugins/lang/'.$lng.'-adm_redacteurs_plugins'.INCEXT);
} else {
	include(CHEMIN.'plugins/adm_redacteurs/plugins/lang/en-adm_redacteurs_plugins'.INCEXT);
}

$nom_fiches = strip_tags($nom_fiches);
$categoriefiches = strip_tags($categoriefiches);

$pseudo = CutLongWord(strip_tags($pseudo), 15);
$titrefiche = WrapLongWords(strip_tags($titrefiche));
$urlimg = CutLongWord(strip_tags($urlimg), 200);

if (!empty($_SESSION['upseudo'])) {
  $pseudo = $_SESSION['upseudo'];
}

htable($ficheadmin113, "100%");

?>
<p align="center"><?php echo $redacopenfiches6; ?></p>
<hr>
<p align="center"><a href="admin.php?lng=<?php echo $lng; ?>&pg=plugin&plug=openfiches/inc/fiches"><?php echo $ficheadmin3; ?></a> || <a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <b><a href="admin.php?lng=<?php echo $lng; ?>&logout=1"><?php echo $admin19; ?></a></b></p>
<hr>
<div style="text-align:center;margin:15px;"><a href="admin.php?lng=<?php echo $lng; ?>&pg=plugin&plug=openfiches/inc/gestfiches&mode=view" ><?php echo $redacopenfiches7; ?></a> || <a href="admin.php?lng=<?php echo $lng; ?>&pg=plugin&plug=openfiches/inc/postfiche" ><?php echo $ficheadmin112; ?></a></div>	
<?php
include(CHEMIN."plugins/openfiches/configuration/fiches-config.inc");

if ($redige==1 && $categoriefiches!=1){
	$dbcatfiches=CHEMIN."plugins/openfiches/data/".KeepGoodCharsopenfiches(strtolower($nom_fiches)).".inc";
	$fiche=CHEMIN."plugins/openfiches/data/".KeepGoodCharsopenfiches(strtolower($titrefiche)).".dtb";		
	// $db_attente=CHEMIN."plugins/openfiches/data/attente.inc";		
	$error = "";
	if($pseudo == "") {
		$error = "<p align=\"justify\"> - ".$ficheweb10."</p>";
	}
	if($titrefiche == "") {
		$error .= "<p align=\"justify\"> - ".$ficheweb11."</p>";
	}
	if($txtfiche1 == "") {
		$error .= "<p align=\"justify\"> - ".$ficheweb12."</p>";
	} 
	if (file_exists($fiche)) {
    	$error .= "<p align=\"justify\"> - ".$ficheweb44."</p>";  
	}
	if ($error == "") {
  		echo "<p style=\"text-align:center; margin-top:30px; margin-bottom:30px;\">".$ficheweb13."<strong>".stripslashes($nom_fiches)."</strong>".$ficheweb14."<strong>".stripslashes($site[0])."</strong></p>";
 
   		$pseudo = str_replace("<","&lt;",$pseudo);
    	$pseudo = str_replace(">","&gt;",$pseudo);
    	$pseudo = str_replace("$","$&shy;",$pseudo);
    	$titrefiche = str_replace("<","&lt;",$titrefiche);
    	$titrefiche = str_replace(">","&gt;",$titrefiche);
    	$titrefiche = str_replace("$","$&shy;",$titrefiche);
 		//Modif Transformation chemin relatif en chemin absolu
		$txtfiche1 = openfichesPathRelatif($txtfiche1);
		$txtfiche1 = openfichesPathAbsolu($txtfiche1);
		$txtfiche2 = openfichesPathRelatif($txtfiche2);
		$txtfiche2 = openfichesPathAbsolu($txtfiche2);
		$txtfiche3 = openfichesPathRelatif($txtfiche3);
		$txtfiche3 = openfichesPathAbsolu($txtfiche3);
		$txtfiche4 = openfichesPathRelatif($txtfiche4);
		$txtfiche4 = openfichesPathAbsolu($txtfiche4);
		$txtfiche5 = openfichesPathRelatif($txtfiche5);
		$txtfiche5 = openfichesPathAbsolu($txtfiche5);
		$txtfiche6 = PathAbsoluteRelative($txtfiche6);
		$txtfiche7 = PathAbsoluteRelative($txtfiche7);
		$txtfiche8 = PathAbsoluteRelative($txtfiche8);
		$txtfiche9 = PathAbsoluteRelative($txtfiche9);
		$txtfiche10 = PathAbsoluteRelative($txtfiche10);
		
		//Fin Modif Transformation chemin relatif en chemin absolu

		$ficheslist = array();
		$ficheslist[0] = stripslashes(PutBR($nom_fiches));
		$ficheslist[1] = addslashes(stripslashes(PutBR($titrefiche)));
		$ficheslist[2] = $pseudo;
		$ficheslist[3] = $urlimg;
		$ficheslist[4] = addslashes(stripslashes(PutBR(RemoveChariotopenfiches($txtfiche1))));
		$ficheslist[5] = addslashes(stripslashes(PutBR(RemoveChariotopenfiches($txtfiche2))));
		$ficheslist[6] = addslashes(stripslashes(PutBR(RemoveChariotopenfiches($txtfiche3))));
		$ficheslist[7] = addslashes(stripslashes(PutBR(RemoveChariotopenfiches($txtfiche4))));
		$ficheslist[8] = addslashes(stripslashes(PutBR(RemoveChariotopenfiches($txtfiche5))));
    	$ficheslist[9] = ($configopenfiches[53] == '1')? 'i' : 'a';
	  	$ficheslist[10] = GetCurrentDateTime(); // Date de creation
	  	$ficheslist[11] = GetCurrentDateTime(); // date de modification    
		$ficheslist[12] = addslashes(stripslashes(RemoveChariotopenfiches($txtfiche6)));
		$ficheslist[13] = addslashes(stripslashes(RemoveChariotopenfiches($txtfiche7)));
		$ficheslist[14] = addslashes(stripslashes(RemoveChariotopenfiches($txtfiche8)));
		$ficheslist[15] = addslashes(stripslashes(RemoveChariotopenfiches($txtfiche9)));
		$ficheslist[16] = addslashes(stripslashes(RemoveChariotopenfiches($txtfiche10))); 		
		
    	AppendDBFields($dbcatfiches,$ficheslist);
    	AppendDBFields($fiche,$ficheslist);
	} else {
    	echo "<p align=\"justify\"><b>".$ficheweb20."</b></p><br>".$error;
    	echo "<br><p align=\"center\">[ <a href=\"javascript:history.back()\">".$ficheweb21."</a> ]</p><br>";
	}
}
 
if ($categoriefiches==1){
	if ($configopenfiches[33] == "1") {	
?>	
		<p style="text-align:center; font-weight:bold;"><?php echo $ficheweb22; ?></p><p style="text-align:center; font-size:20px; font-weight:bold; margin-top:15px;"><?php echo stripslashes($nom_fiches); ?></p>
<?php
	} else {
?>
		<p align="center"><strong><?php echo $ficheweb23; ?></strong></p><p align="center"><strong><font size="4"><?php echo stripslashes($nom_fiches); ?></font></strong></p>
<?php
	}
//	$module = ReadDBFields(CHEMIN."plugins/openfiches/data/modules/".stripslashes($nom_fiches).".inc");
	if (file_exists(CHEMIN."plugins/openfiches/data/modules/".stripslashes($nom_fiches).INCEXT))
{
	$module=ReadDBFields(CHEMIN."plugins/openfiches/data/modules/".stripslashes($nom_fiches).INCEXT);   
}
else
{

	$module=ReadDBFields(CHEMIN."plugins/openfiches/data/modules/".stripslashes(KeepGoodCharsopenfiches(strtolower($nom_fiches))).INCEXT);
}
////////////////////////////////////////////////////////////////////
//////////DEBUT MODIF CONTROL JAVASCRIPT////////////////////////////
////////////////////////////////////////////////////////////////////
?>
<script type="text/javascript">
<!--
function validform(h) {
	var erreur = false;
    if (h.titrefiche.value.length < 1) {  //pas de titre
    	message = '<?php echo addslashes($ficheweb11); ?>\n'; 
        erreur = true;
	}
	if (h.pseudo.value.length < 1) {  //pas de pseudo
    	message += '<?php echo addslashes($ficheweb10); ?>\n'; 
        erreur = true;
	}
<?php
	if ($serviz[49] != "FCKin") {
?>
	if (h.txtfiche1.value.length < 1) {  //pas de textarea1
    	message += '<?php echo addslashes($ficheweb12); ?>'; 
        erreur = true;
	}
<?php
}
?>
    if (erreur == true) {
        alert(message);
		message = '';
		return false;
    } else { 
	    return true;
    }	
}
-->
</script>
<form name="sendfiches" action="admin.php?lng=<?php echo $lng; ?>&pg=plugin&plug=openfiches/inc/postfiche" method="post" onsubmit="return validform(this);">
<?php
////////////////////////////////////////////////////////////////////
/////////////////FIN MODIF CONTROL JAVASCRIPT///////////////////////
////////////////////////////////////////////////////////////////////
?>
<input type="hidden" name="redige" value="1">
<input type="hidden" name="nom_fiches" value="<?php echo stripslashes($nom_fiches); ?>">
<input class="texte" type="hidden" name="pseudo" size="25" value="<?php echo $upseudo; ?>">
<p style="text-align:center; font-weight:bold;" ><?php echo $ficheweb4; ?></p>
<?php
////////////////////////////////////////////////////////////////
///////////////////MODIF INSERTION MINIEDITEUR//////////////////
////////////////////////////////////////////////////////////////
echo '<div style="margin-left:5%; margin-right:5%;border:3px ridge '.$color_openfiches[1].'; text-align:center;font-weight:bold; padding-top:10px;padding-bottom:20px; background-color:'.$color_openfiches[0].';">'.$ficheweb5.' :<br />';
echo '<input class="texte" type="text" name="titrefiche" size="40" value="'.stripslashes($titrefiche).'"></div>';
echo '<div style="text-align:center;font-weight:bold; padding-bottom:5px;">'.$ficheweb6.'</div>';
echo '<div style="text-align:center; padding-bottom:20px;"><input class="texte" type="text" name="urlimg" value=""></div>';
echo '<div style="text-align:center; padding-bottom:5px;">'.$ficheweb7.'</div>';
echo '<div style="text-align:center; padding-bottom:20px;"><a href="http://www.imageshack.us/" target="_blank">'.$ficheweb8.'</a></div>';
echo '<div style="font-weight:bold; padding-left:10px; padding-bottom:10px;">'.$module[0][0].' :</div>';

$txtfiche1 = stripslashes(RemoveBR($txtfiche1));
display_admin_editor('txtfiche1', '560px', '300px', $txtfiche1, $serviz[49], array('formName' => 'sendfiches'));    

for ($i = 1; $i <5; $i++) {
    if (!empty($module[0][$i])) {
        echo '<div style="margin-top:20px; padding:10px; background-color:'.$color_openfiches[2].';font-weight:bold;">'.$module[0][$i].' :</div>';
        $content = stripslashes(RemoveBR(${'txtfiche'.($i+1)}));
        display_admin_editor('txtfiche'.($i+1), '560px', '300px', $content, $serviz[49], array('formName' => 'sendfiches'));   
	}
}
////////////////////////////////////////////////////////////////
///////////////////FIN MODIF INSERTION MINIEDITEUR//////////////
////////////////////////////////////////////////////////////////
?>
<p style="text-align:center; margin-top:20px;"><?php echo $boutonleft; ?><input class="bouton" type="submit" value="<?php echo $web52; ?>"><?php echo $boutonright; ?></p>
</form>
<script type="text/javascript">
  document.sendfiches.titrefiche.focus();
</script>
<?php	
}

if ($categoriefiches!=1 && $redige!=1){
?>
<p align="center"><b><?php echo $ficheweb2; ?></b></p>

<table align="center">
<tr><td align="center" width="100%">
<form name="postfiches" action="admin.php?lng=<?php echo $lng; ?>&pg=plugin&plug=openfiches/inc/postfiche" method="post">
<input type="hidden" name="categoriefiches" value="1">
<select name="nom_fiches" onchange="submit();">
<option><?php echo $ficheweb24; ?></option>
<?php

$dblistfiches=(CHEMIN."plugins/openfiches/data/listcat.inc");
$listfiches = ReadDBFields($dblistfiches);
asort($listfiches);

for ($i = 0; $i < count($listfiches); $i++) {
if ($listfiches[$i][0]!=""){ 
if ($lng == $lang[0]) { 
echo "<option value=\"".$listfiches[$i][0]."\">".$listfiches[$i][0]."</option>\n";
	}
}
if ($listfiches[$i][1]!=""){ 
if ($lng == $lang[1]) { 
echo "<option value=\"".$listfiches[$i][1]."\">".$listfiches[$i][1]."</option>\n";
		}
	}
}
?>
</select></form></td></tr></table>
<?php
 }
?>
<hr>
<p align="center"><a href="admin.php?lng=<?php echo $lng; ?>&pg=plugin&plug=openfiches/inc/fiches"><?php echo $ficheadmin3; ?></a> || <a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <b><a href="admin.php?lng=<?php echo $lng; ?>&logout=1"><?php echo $admin19; ?></a></b></p>
<?php 
btable();
include(CHEMIN."inc/bpage.inc");